﻿@using Jumbula.Common.Helper
@using Jumbula.Common.Constants
@using Jumbula.Core.Domain

@model ChessTourneyBodyViewModel

<div class="tuitions">
    <div class="clearfix"></div>
    @foreach (var charge in Model.Schedule.Prices)
    {
    <div class="tuition">
        <span class="tuition-label">
            @charge.Name
            @if (!string.IsNullOrEmpty(charge.Description))
        {
            <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@charge.Description"></a>
    }
        </span>

        @{
        bool ebApplied = false;
        }

        @if (charge.HasEarlyBird)
    {
        foreach (var earlyBrid in charge.EarlyBirds.OrderBy(e => e.ExpireDate))
        {
            if (Jumbula.Common.Helper.DateTimeHelper.ConvertUtcDateTimeToLocal(DateTime.UtcNow, Model.ClubTimeZone).Date <= earlyBrid.ExpireDate.Value.Date)
            {
                ebApplied = true;
                if (!Model.EnablePriceHidden)
            {
                <div class="tuition-prices">
                    <span class="discounted">@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                    <span class="applied">@CurrencyHelper.FormatCurrencyWithPenny(earlyBrid.Price, Model.Currency)</span>
                    @*<p class="label label-warning">Earlybird discount only available until 1 week and 2 days and 5 hours</p>*@
                    <p class="label label-success">@string.Format("Early bird price expires on {0} at 11:59 PM", earlyBrid.ExpireDate.Value.ToString("MMM dd, yyyy"))</p>
                </div>
        }

            break;
        }
    }
}

        @if (charge.IsProrate && !ebApplied && charge.LeftSessions < charge.TotalSessions)
        {
            if (!Model.EnablePriceHidden)
            {
        <div class="tuition-prices">

            @if (charge.LeftSessions < 1)
            {
            <span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
            <p class="label label-danger">There is no any sessions remain.</p>
            }
            else
            {
        <span class="discounted">@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
        <span class="applied">@CurrencyHelper.FormatCurrencyWithPenny(charge.ProratePrice, Model.Currency)</span>
        <p class="label label-danger">For @charge.LeftSessions remaining sessions @CurrencyHelper.FormatCurrencyWithPenny(charge.ProratePrice, Model.Currency)</p>
            }

        </div>
            }
        }
        else
        {
            if (!ebApplied && !Model.EnablePriceHidden)
            {
        <div class="tuition-prices">
            <span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
        </div>
}
}

        <div class="clearfix"></div>
    </div>
    }
    <div class="clearfix"></div>
</div>
@switch (Model.TournamentType)
{
    case TournamentType.Cash:
        {
            if (Model.PrizeFund != null || Model.FullEntries != null || Model.PrizeFundGuarantee != null)
            {
                <div>
                    <div class="program-section-title-bg">
                        <h2 class="program-section-title jbi-coins">Prize fund</h2>
                    </div>
                    <div class="section-indent clearfix tourney-prize-fund">
                        <div class="row">
                            @if (Model.PrizeFund != null)
                            {
                                <div class="col-sm-6 col-xs-12">
                                    <span class="item fund jbi-angle-right">
                                        @CurrencyHelper.FormatCurrencyWithoutPenny(Model.PrizeFund, Model.Currency)
                                        @if (Model.FullEntries != null)
                                        {
                                            <text>(Based on @Model.FullEntries entries.)</text>
                                        }
                                    </span>
                                </div>
                            }
                            else
                            {
                                if (Model.FullEntries != null)
                                {
                                    <div class="col-sm-6 col-xs-12">
                                        <span class="item jbi-angle-right">
                                            Based on @Model.FullEntries entries.
                                        </span>
                                    </div>
                                }
                            }
                            @if (Model.PrizeFundGuarantee != null)
                            {
                                <div class="col-sm-6 col-xs-12">
                                    <span class="item jbi-angle-right">@Model.PrizeFundGuarantee guaranteed</span>
                                </div>
                            }
                        </div>
                    </div>
                </div>
            }
        }
        break;
    case TournamentType.Scholastic:
        {
            if (!String.IsNullOrEmpty(Model.Trophies))
            {
                <div>
                    <div class="program-section-title-bg full-width clearfix tourney-trophies">
                        <h2 class="program-section-title jbi-coins">Tournament trophies</h2>
                    </div>
                    <div class="program-section-container clearfix">
                        <p>
                            @Html.Raw(Model.Trophies.Replace("\n", "<br>").Replace("\r", "<br>"))
                        </p>
                    </div>
                </div>
            }
        }
        break;
}
<div class="row">
    <div class="col-sm-6 col-xs-12">
        <div class="program-section-title-bg full-width">
            <h2 class="program-section-title jbi-calendar">Schedules</h2>
        </div>
        <div class="clearfix"></div>
        <div class="program-section-container program-schedule-accordion tourney full-width">
            @foreach (var schedule in Model.Schedules)
            {
                <h3 class="open">
                    @if (schedule.Label != null)
                    {
                        <span>@schedule.Label (@schedule.StartDate.Value.ToString(Constants.DefaultDateFormat) - @schedule.EndDate.Value.ToString(Constants.DefaultDateFormat))</span>
                    }
                    else
                    {
                        <span>@schedule.StartDate.Value.ToString(Constants.DefaultDateFormat) - @schedule.EndDate.Value.ToString(Constants.DefaultDateFormat)</span>
                    }
                </h3>
            }
        </div>
    </div>

    <div class="col-sm-6 col-xs-12">
        <div class="program-section-title-bg full-width">
            <h2 class="program-section-title jbi-ticket">Sections</h2>
        </div>
        <div class="clearfix"></div>
        <div class="program-section-container program-schedule-accordion tourney full-width">
            @foreach (var item in Model.Sections)
            {
                <h3 class="open">
                    <span>
                        @item.Name
                        @if (item.Rating != null)
                        {
                            <text>(@item.Rating)</text>
                        }
                        @if (item.Prize != null)
                        {
                            <span class="pull-right small">Prize: @item.Prize</span>
                        }
                    </span>
                </h3>
            }
        </div>
    </div>
</div>

@if (Model.MaxOfByes != null || Model.LastRoundBye != null || Model.NumberOfRounds != null || Model.ByeNote != null)
{
    <div class="program-section-title-bg">
        <h2 class="program-section-title jbi-chess">Byes</h2>
    </div>
    <div class="section-indent byes clearfix">
        <div class="row">
            @if (Model.MaxOfByes != null)
            {
                <div class="col-sm-6 col-xs-12">
                    <span class="item jbi-angle-right">Max of byes: @Model.MaxOfByes</span>
                </div>
            }
            @if (Model.LastRoundBye != null)
            {
                <div class="col-sm-6 col-xs-12">
                    <span class="item jbi-angle-right">Last round to request a bye: @Model.LastRoundBye</span>
                </div>
            }
            @if (Model.NumberOfRounds != null)
            {
                <div class="col-sm-6 col-xs-12">
                    <span class="item jbi-angle-right">Number of rounds in tourney: @Model.NumberOfRounds</span>
                </div>
            }
            @if (Model.ByeNote != null)
            {
                <div class="col-sm-6 col-xs-12">
                    <span class="item jbi-angle-right">Bye note: @Model.ByeNote</span>
                </div>
            }
        </div>
    </div>
}

@if (Model.Schedule.Services.Count > 0)
{
    <div class="program-section-title-bg">
        <h2 class="program-section-title jbi-shopping-bag">Additional services and fees</h2>
    </div>

    <div class="section-indent">
        @foreach (var service in Model.Schedule.Services)
        {
            switch (service.Category)
            {
                case ChargeDiscountCategory.CustomCharge:
                    {
                        <div class="jbi-coins program-service">
                            <span class="program-service-title ellipsis" title="@service.Name">
                                @service.Name
                                @if (!string.IsNullOrEmpty(service.Description))
                                {
                                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@service.Description"></a>
                                }
                            </span>
                            <span class="program-service-value">
                                @CurrencyHelper.FormatCurrencyWithPenny(service.Amount, Model.Currency)
                            </span>
                        </div>
                                break;
                    }
                case ChargeDiscountCategory.Lunch:
                    {
                        <div class="jbi-lunch program-service">
                            <span class="program-service-title ellipsis" title="@service.Name">
                                @service.Name
                                @if (!string.IsNullOrEmpty(service.Description))
                                {
                                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@service.Description"></a>
                                }
                            </span>
                            <span class="program-service-value">
                                @CurrencyHelper.FormatCurrencyWithPenny(service.Amount, Model.Currency)
                            </span>
                        </div>
                                break;
                    }
                case ChargeDiscountCategory.DayCare:
                    {
                        <div class="jbi-mom program-service">
                            <span class="program-service-title ellipsis" title="@service.Name">
                                @service.Name
                                @if (!string.IsNullOrEmpty(service.Description))
                                {
                                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@service.Description"></a>
                                }
                            </span>
                            <span class="program-service-value">
                                @CurrencyHelper.FormatCurrencyWithPenny(service.Amount, Model.Currency)
                            </span>
                        </div>
                                break;
                    }
            }
        }
        <div class="clearfix"></div>
    </div>
}

<div class="program-section-title-bg">
    <h2 class="program-section-title jbi-clock">Registration period</h2>
</div>

<div id="registrationPeriod" class="section-indent clearfix">
    Registration starts on @Model.Schedule.RegistrationPeriod.RegisterStartDate.Value.ToString(Constants.DefaultDateFormat) and ends on @Model.Schedule.RegistrationPeriod.RegisterEndDate.Value.ToString(Constants.DefaultDateFormat).
</div>

<div class="program-section-title-bg">
    <h2 class="program-section-title jbi-pie">Restrictions</h2>
</div>

<div id="restrictions" class="section-indent">
    @switch (Model.Schedule.Restrict.RestrictionType)
    {
        case RestrictionType.Age:
            {
                <p class="jbi-graduation-cap">
                    @Model.Schedule.AgeRestrictionMessage
                </p>
                break;
            }
        case RestrictionType.Grade:
            {
                <p class="jbi-graduation-cap">
                    @Model.Schedule.GradeRestrictionMessage
                </p>
                break;
            }
    }
    <p class="jbi-gender">@Model.Schedule.Restrict.Gender.ToDescription()</p>
</div>
@if (!Model.HideGoogleMapInClassPage)
{
    <div class="program-section-title-bg">
        <h2 class="program-section-title jbi-map-pin">Location</h2>
    </div>

    <div id="location" class="section-indent clearfix">
        <address>@StringHelper.JoinStringList(new string[] { Model.LocationName, Model.Address.Address }, ", ")&nbsp;<a data-target="#MapModal" data-toggle="modal" href="#" class="show-map" aria-hidden="True"> (show map)</a></address>
    </div>
}


@if ((!string.IsNullOrEmpty(Model.Description)))
{
    <div id="programDiscriptions">
        <div class="program-section-title-bg full-width">
            <h2 class="program-section-title jbi-note-paper">Description</h2>
        </div>
        <div class="clearfix"></div>
        <div class="program-section-container">
            <div class="program-desc-box">
                <p itemprop="description">
                    @Html.Raw(Model.Description.Replace("\n", "<br>").Replace("\r", "<br>"))
                </p>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
}
